Bug 17315 - Can't add entry to lists using link in result list
Summary: Can't add entry to lists using link in result list
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Lists (show other bugs)
Version: unspecified
Hardware: All All
: P5 - low normal (vote)
Assignee: Jonathan Druart
QA Contact: Testopia
URL:
Keywords:
Depends on: 17210
Blocks:
  Show dependency treegraph
 
Reported: 2016-09-18 19:25 UTC by Katrin Fischer
Modified: 2017-12-07 22:17 UTC (History)
5 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 17315: (Bug 17210 follow-up) Fix "Save to lists" links from the result page (1.42 KB, patch)
2016-09-20 10:10 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 17315: (Bug 17210 follow-up) Fix "Save to lists" links from the result page (1.42 KB, patch)
2016-09-20 11:43 UTC, Marc Véron
Details | Diff | Splinter Review
[PASSED QA] Bug 17315: (Bug 17210 follow-up) Fix "Save to lists" links from the result page (1.49 KB, patch)
2016-09-25 16:27 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Katrin Fischer 2016-09-18 19:25:47 UTC
When adding a record to a list using the links in the result list, the link contains the biblionumber, but in the window the URL ends 'biblionumber=' and the entry is not added to the list.
Comment 1 Marc Véron 2016-09-19 09:34:23 UTC
Confirmed.
It seems that the param is removed by the 'Dopop' JavaScript function.
Comment 2 Jonathan Druart 2016-09-20 10:10:32 UTC
Created attachment 55713 [details] [review]
Bug 17315: (Bug 17210 follow-up) Fix "Save to lists" links from the result page

On bug 17210, the selector .addtoshelf should not have caught the
.addtoshelf nodes from the result list.
To fix this, we just need to make the selector more specific (and cannot
reuse it without more changes, the biblionumber variable is not the same
- vs SEARCH_RESULT.biblionumber).

Test plan:
Make sure the 2 links (from detail and search result) "Save to lists"
and "Save to your lists" work as expected.
Comment 3 Marc Véron 2016-09-20 11:43:55 UTC
Created attachment 55716 [details] [review]
Bug 17315: (Bug 17210 follow-up) Fix "Save to lists" links from the result page

On bug 17210, the selector .addtoshelf should not have caught the
.addtoshelf nodes from the result list.
To fix this, we just need to make the selector more specific (and cannot
reuse it without more changes, the biblionumber variable is not the same
- vs SEARCH_RESULT.biblionumber).

Test plan:
Make sure the 2 links (from detail and search result) "Save to lists"
and "Save to your lists" work as expected.
Comment 4 Katrin Fischer 2016-09-25 16:27:36 UTC
Created attachment 55801 [details] [review]
[PASSED QA] Bug 17315: (Bug 17210 follow-up) Fix "Save to lists" links from the result page

On bug 17210, the selector .addtoshelf should not have caught the
.addtoshelf nodes from the result list.
To fix this, we just need to make the selector more specific (and cannot
reuse it without more changes, the biblionumber variable is not the same
- vs SEARCH_RESULT.biblionumber).

Test plan:
Make sure the 2 links (from detail and search result) "Save to lists"
and "Save to your lists" work as expected.

Signed-off-by: Katrin Fischer  <katrin.fischer@bsz-bw.de>
Comment 5 Kyle M Hall 2016-09-27 10:36:28 UTC
Pushed to master for 16.11, thanks Jonathan!
Comment 6 Frédéric Demians 2016-09-30 08:10:14 UTC
Pushed in 16.05. Will be in 16.05.05.